Name:           shellcheck
Version:        0.4.7
Release:        %mkrel 1
Summary:        Shell script analysis tool
License:        GPLv3+
Group:          Development/Tools
Url:            https://github.com/koalaman/shellcheck
# download the static compiled version and repackage to %{name}-%{version}.tar.xz
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
AutoProv: no


%description
The goals of ShellCheck are:

* To point out and clarify typical beginner's syntax issues,
  that causes a shell to give cryptic error messages.

* To point out and clarify typical intermediate level semantic problems,
  that causes a shell to behave strangely and counter-intuitively.

* To point out subtle caveats, corner cases and pitfalls, that may cause an
  advanced user's otherwise working script to fail under future circumstances.


%prep
%setup -q


%build


%install
rm -rf %buildroot
mkdir -p %buildroot
install -Dpm 0755 shellcheck %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 LICENSE.txt %{buildroot}%{_docdir}/%{name}/LICENSE.txt
install -Dpm 0644 README.txt %{buildroot}%{_docdir}/%{name}/README.txt


%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%{_bindir}/%{name}



%changelog
* Thu Mar 29 2018 pp <pp> 0.4.7-1pclos2018
- imported package
